local base_loco = data.raw["locomotive"]["locomotive"]
base_loco.max_health = 1000
base_loco.weight = 2000
base_loco.max_speed = 1.2 --259.2km/h
base_loco.max_power = "600kW"
base_loco.reversing_power_modifier = 1 --no effect on automatic trains
base_loco.braking_force = 10
base_loco.friction_force = 0.50 -- constant acceleration reduction
base_loco.air_resistance = 0.0075 -- exponential max_speed reduction
base_loco.burner.effectivity = 1 -- tooltip = max_power/efficiency
base_loco.burner.fuel_inventory_size = 3

local heavy_loco = copyPrototype("locomotive", "locomotive", "heavy-locomotive")
heavy_loco.icon = "__More-Locomotives__/graphics/heavy-locomotive.png"
heavy_loco.color = {r = 0, g = 0.53, b = 0, a = 0.5}
heavy_loco.max_health = 1500
heavy_loco.weight = 3200
heavy_loco.max_speed = 0.95 --205,2km/h
heavy_loco.max_power = "1200kW"
heavy_loco.reversing_power_modifier = 1 --no effect on automatic trains
heavy_loco.braking_force = 20
heavy_loco.friction_force = 0.50
heavy_loco.air_resistance = 0.010
heavy_loco.burner.effectivity = 0.80
heavy_loco.burner.fuel_inventory_size = 4

local express_loco = copyPrototype("locomotive", "locomotive", "express-locomotive")
express_loco.icon = "__More-Locomotives__/graphics/express-locomotive.png"
express_loco.color = {r = 0.10, g = 0.19, b = 0.80, a = 0.5}
express_loco.max_health = 1500
express_loco.weight = 1900
express_loco.max_speed = 1.5 --324,0km/h
express_loco.max_power = "600kW"
express_loco.reversing_power_modifier = 1 --no effect on automatic trains
express_loco.braking_force = 16
express_loco.friction_force = 0.50
express_loco.air_resistance = 0.0062
express_loco.burner.effectivity = 0.60
express_loco.burner.fuel_inventory_size = 4

local nuclear_loco = copyPrototype("locomotive", "locomotive", "nuclear-locomotive")
nuclear_loco.icon = "__More-Locomotives__/graphics/nuclear-locomotive.png"
nuclear_loco.color = { r = 0, g = 0.75, b = 0.5, a = 0.5 }
nuclear_loco.max_health = 2500
nuclear_loco.weight = 4000
nuclear_loco.max_speed = 1.4 --302.4km/h
nuclear_loco.max_power = "1600kW"
nuclear_loco.reversing_power_modifier = 1 --no effect on automatic trains
nuclear_loco.braking_force = 20
nuclear_loco.friction_force = 0.50
nuclear_loco.air_resistance = 0.0075
nuclear_loco.burner.fuel_category = "nuclear"
nuclear_loco.burner.effectivity = 1
nuclear_loco.burner.fuel_inventory_size = 1
nuclear_loco.burner.burnt_inventory_size = 1
nuclear_loco.working_sound.sound.filename = "__base__/sound/idle1.ogg"
nuclear_loco.working_sound.sound.volume = 1.3
nuclear_loco.working_sound.idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 1.3 }

data:extend({
  heavy_loco,
  express_loco,
	nuclear_loco
})
