
local robotCharge = table.deepcopy(data.raw["roboport"]["roboport"])
robotCharge.name = "Robot-Charge-Station-1x1"
robotCharge.icon = "__Robo-Charge-1x1__/graphics/tower/Robot-Charge-Station-icon.png"
robotCharge.minable = {hardness = 0.2, mining_time = 0.5, result = "Robot-Charge-Station-1x1"}
robotCharge.max_health = 200
robotCharge.corpse = "small-remnants"
robotCharge.collision_box = {{-0.15, -0.15}, {0.15, 0.15}}
robotCharge.selection_box = {{-0.5, -0.5}, {0.5, 0.5}}
robotCharge.logistics_radius = 12.5
robotCharge.construction_radius = 25
robotCharge.charge_approach_distance = 3
robotCharge.robot_slots_count = 0
robotCharge.material_slots_count = 0
robotCharge.charging_offsets = {{-0.5, -2}, {0.5, -2}, {0.5, -1}, {-0.5, -1}}

robotCharge.base =
    {
		filename = "__Robo-Charge-1x1__/graphics/tower/Robot-Charge-Station.png",
		width = 142,
		height = 128,
		shift = {1.4, -1.0}
    }
	
robotCharge.base_patch =
    {
		filename = "__Robo-Charge-1x1__/graphics/1x1.png",
		priority = "medium",
		width = 1,
		height = 1,
		frame_count = 1
    }
	
robotCharge.base_animation =
    {
		filename = "__Robo-Charge-1x1__/graphics/1x1.png",
		priority = "low",
		width = 0,
		height = 0,
		frame_count = 1,
		animation_speed = 1,
		shift = {-0.5315, -1.9375}
    }
	
robotCharge.door_animation_up =
    {
		filename = "__Robo-Charge-1x1__/graphics/1x1.png",
		priority = "low",
		width = 0,
		height = 0,
		frame_count = 1,
		shift = {0, -0.6}
    }
	
robotCharge.door_animation_down =
    {
		filename = "__Robo-Charge-1x1__/graphics/1x1.png",
		priority = "low",
		width = 0,
		height = 0,
		frame_count = 1,
		shift = {0, -0.6}
    }
    
robotCharge.recharging_animation =
    {
		filename = "__base__/graphics/entity/roboport/roboport-recharging.png",
		priority = "high",
		width = 37,
		height = 35,      
		frame_count = 16,
		scale = 1.5,
		animation_speed = 0.5
    }
	
robotCharge.spawn_and_station_height = 0.33

data:extend({robotCharge})

local robotChargeMedium = table.deepcopy(data.raw["roboport"]["Robot-Charge-Station-1x1"])
robotChargeMedium.name = robotChargeMedium.name .. "-medium"
robotChargeMedium.minable = {hardness = 0.2, mining_time = 0.5, result = robotChargeMedium.name}
robotChargeMedium.logistics_radius = 6.5
robotChargeMedium.construction_radius = 12.5
robotChargeMedium.icon = "__Robo-Charge-1x1__/graphics/tower/Robot-Charge-Station-icon-medium.png"
robotChargeMedium.base =
    {
		filename = "__Robo-Charge-1x1__/graphics/tower/Robot-Charge-Station-medium.png",
		width = 142,
		height = 128,
		shift = {1.4, -1.0}
    }


local robotChargeSmall = table.deepcopy(data.raw["roboport"]["Robot-Charge-Station-1x1"])
robotChargeSmall.name = robotChargeSmall.name .. "-small"
robotChargeSmall.minable = {hardness = 0.2, mining_time = 0.5, result = robotChargeSmall.name}
robotChargeSmall.logistics_radius = 3.5
robotChargeSmall.construction_radius = 6.5

robotChargeSmall.icon = "__Robo-Charge-1x1__/graphics/tower/Robot-Charge-Station-icon-small.png"
robotChargeSmall.base =
    {
		filename = "__Robo-Charge-1x1__/graphics/tower/Robot-Charge-Station-small.png",
		width = 142,
		height = 128,
		shift = {1.4, -1.0}
    }
	
data:extend({robotChargeSmall, robotChargeMedium})
