--require("prototypes.spores")

local item, stack = data.raw.item

if item["raw-wood"].stack_size > item.coal.stack_size then
	stack = item["raw-wood"].stack_size
	item.coal.stack_size = stack
else
	stack = item.coal.stack_size
	item["raw-wood"].stack_size = stack
end

data:extend({
  { type = "resource-category", name = "counter"},
  { type = "resource", name = "counter-tree",
    icon = "__base__/graphics/icons/tree-01.png",
    flags = {"not-on-map"},
	category = "counter",
    order="x-b-b",
    collision_box = nil,--{{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = nil,--{{ -0.5, -0.5}, {0.5, 0.5}},
    minable =
    {
      hardness = 1,
      mining_particle = "blood-particle",
      mining_time = 420,
      result = nil
    },
    stage_counts = {1000},
    stages = {sheet = 
    {
      filename = "__fws__/graphics/nil.png",
      priority = "extra-high",
      width = 1,
      height = 1,
      frame_count = 1,
      variation_count = 1
    }},
    map_color = {r=0.25, g=0.375, b=0.5, a=0},
	map_grid = false,
	highlight = false,
  },
  { type = "item", name = "charcoal",
    icon = "__fws__/graphics/charcoal.png",
    dark_background_icon = "__fws__/graphics/charcoal.png",
    flags = {"goes-to-main-inventory"},
    fuel_value = "7MJ",
    fuel_category = "chemical",
    subgroup = "raw-material",
    order = "b[charoal]",
    stack_size = stack,
	--place_result = "crude-oil"
  },
  { type = "recipe", name = "charcoal",
    category = "smelting",
    energy_required = 6,
    ingredients = {{ "raw-wood", 3}},
    result = "charcoal",
	--count = 5
  },
  { type = "recipe", name = "coal",
    category = "chemistry",
	enabled = false,
    energy_required = 6,
    ingredients = {{ "charcoal", 3}},
    result = "coal",
	result_count = 2
  },
  
  { type = "capsule", name = "spores",
    icon = "__fws__/graphics/spores.png",
    flags = {"goes-to-quickbar"},
    capsule_action =
    {
      type = "throw",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 25,
        projectile_creation_distance = 0.6,
        range = 7,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "projectile",
              projectile = "spores",
              starting_speed = 0.125
            }
          }
        }
      }
    },
    subgroup = "raw-material",
    order = "b[spores]",
    stack_size = 200
  },
  { type = "smoke", name = "spore-trigger",
	icon = "__fws__/graphics/spores.png",
	flags = {"not-on-map", "placeable-off-grid"},
	subgroup = "remnants",
	order = "remnants",
    show_when_smoke_off = true,
	max_health = 1,
	animation = { filename = "__fws__/graphics/nil.png", width = 1, height = 1, frame_count=1,animation_speed=1 },
  },
  { type = "projectile", name = "spores",
    flags = {"not-on-map"},
    acceleration = -0.0005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "spore-trigger",
			trigger_created_entity = "true",
            check_buildability = true,
          },
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
	{
      filename = "__base__/graphics/entity/cloud/cloud-45-frames.png",
      flags = { "compressed" },
      priority = "low",
      width = 256,
      height = 256,
      frame_count = 45,
      animation_speed = 0.625,
      line_length = 7,
      scale = 0.3,
	  tint={r=.2,g=.5,b=.1},
	  },
    shadow =
    {
      filename = "__base__/graphics/entity/slowdown-capsule/slowdown-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    --smoke = capsule_smoke,
  },
})


data.raw.recipe.wood.result=nil
data.raw.recipe.wood.results=    {
      {name="wood", amount=data.raw.recipe.wood.result_count},
      {name="spores", amount=1, probability = .1},
    }
data.raw.recipe.wood.result_count=nil
data.raw.recipe.wood.icon = data.raw.item.wood.icon
data.raw.recipe.wood.subgroup = data.raw.item.wood.subgroup

for _,t in pairs(data.raw.technology) do
	for _,e in pairs(t.effects or {}) do
		if e.type == "unlock-recipe" then
			if e.recipe == "electric-furnace" then
				table.insert(t.effects,{type = "unlock-recipe",recipe = "coal"})
			end
		end
	end
end

--[[
      {type="fluid", name="heavy-oil", amount=1},
      {type="fluid", name="light-oil", amount=4.5},
      {type="fluid", name="petroleum-gas", amount=5.5}

	  --]]
	  
--[[
 3x4 (12) -> 7
 3x7 (21) -> 2x8 (16)
 
 7/12 49/84
 16/21 = 56/84
--]]
