require("util")

local treerects = {}

local floor=math.floor

local to_add = {}

local function scaleall(c, rate)
 for k,v in pairs(c) do
	if type(v)=="table" then scaleall(v,rate)
	elseif type(v)=="number" then c[k]=v*rate end
 end
-- c[1][1],c[1][2],c[2][1],c[2][2] = c[1][1]*rate,c[1][2]*rate,c[2][1]*rate,c[2][2]*rate
end

local function addscaledtree(tree,sub,max)
		if not max then max=5 end
		if max<sub then error("Sub cannot be greater than max.") end
		if max>35 then error("Grow cannot handle more than 35 stages.") end
		local ratio = sub/max

		if max>9 then
			max=string.char(max+55)
			if sub>9 then sub=string.char(sub+55) end
		end

		local temp = util.table.deepcopy(tree)
		temp.name = string.format("%s-growing-%s-of-%s",tree.name,sub,max)
		local tlist={}
		for k,v in pairs(temp.flags) do
			if v~="placeable-neutral" then table.insert(tlist,v) end
		end
		temp.flags = tlist
		if temp.minable then
			if temp.minable.count_max then
				temp.minable.count_min = floor((temp.minable.count_min or 0) * ratio)
				temp.minable.count_max = floor(temp.minable.count_max * ratio)
			else
				temp.minable.count = floor((temp.minable.count or 1) * ratio)
			end
		end
		if temp.loot then
			for _,entry in pairs(temp.loot) do
				if entry.count_max then
					entry.count_min = floor((entry.count_min or 0) * ratio)
					entry.count_max = floor(entry.count_max * ratio)
				else
					entry.count = floor((entry.count or 1) * ratio)
				end
			end
		end
		temp.max_health = floor(temp.max_health*ratio)
		
		scaleall(temp.collision_box,ratio)
		scaleall(temp.selection_box,ratio)
		if temp.drawing_box then scaleall(temp.drawing_box,ratio) end
		
		temp.emissions_per_tick = temp.emissions_per_tick * ratio
		temp.autoplace=nil
		temp.corpse = nil
		temp.remains_when_mined = nil
		
		if temp.variations then
			for _,v in pairs(temp.variations) do
				v.branch_generation.initial_height = v.branch_generation.initial_height * ratio
				v.branch_generation.initial_height_deviation = v.branch_generation.initial_height_deviation * ratio
				scaleall(v.branch_generation.offset_deviation,ratio)
				v.branch_generation.repeat_count = floor(v.branch_generation.repeat_count*ratio)
				
				v.leaf_generation.initial_height = v.leaf_generation.initial_height * ratio
				v.leaf_generation.initial_height_deviation = v.leaf_generation.initial_height_deviation * ratio
				scaleall(v.leaf_generation.offset_deviation,ratio)
				
				v.leaves.scale = ratio
				scaleall(v.leaves.shift, ratio)
				v.trunk.scale = ratio
				scaleall(v.trunk.shift, ratio)
			end
		elseif false then --temp.pictures then
			for _,p in pairs(temp.pictures) do
				if p.shift then scaleall(p.shift,ratio) end
				p.width = p.width * ratio
				p.height = p.height * ratio
				p.scale = ratio
			end
		end
		
		--[[
		for _,p in pairs(temp.pictures) do
			if p.shift then
				p.shift[1]=p.shift[1]*ratio
				p.shift[2]=p.shift[2]*ratio
			end
			p.scale=ratio
		end
		--]]
		
		table.insert(to_add,temp)
end

for _,tree in pairs(data.raw.tree) do
	if string.sub(tree.name,1,5)=="tree-" or string.find(tree.name,"coral") then
		for i=1,4 do
			addscaledtree(tree,i,5,50000)
		end
	end
end

data:extend(to_add)