local ordercount = 0
local orderstring = "bcdefgh"

local function create_oil_fluid(name,color)
	if data.raw.fluid[name] ~= nil then
		--fluid already exists
		return
	end
	ordercount = ordercount+1
	data:extend({
	{
	    type = "fluid",
	    name = name,
	    default_temperature = 25,
	    heat_capacity = "1KJ",
	    base_color = color,
	    flow_color = color,
	    max_temperature = 100,
	    icon = "__methane-processing__/graphics/icons/fluid/"..name..".png",
	    pressure_to_speed_ratio = 0.4,
	    flow_to_energy_ratio = 0.59,
	    order = "a-a[fluid]-"..string.sub(orderstring,ordercount,ordercount).."["..name.."]"
	  }
	})
end

local function create_gas_fluid(name,color)
	if data.raw.fluid[name] ~= nil then
		--fluid already exists
		return
	end
	ordercount = ordercount+1
	data:extend({
	{
    	type = "fluid",
	    name = name,
	    default_temperature = 15,
    	max_temperature = 1000,
    	heat_capacity = "0.2KJ",
	    base_color = color,
	    flow_color = color,
	    icon = "__methane-processing__/graphics/icons/fluid/"..name..".png",
	    pressure_to_speed_ratio = 0.4,
	    flow_to_energy_ratio = 0.59,
	    order = "a-a[fluid]-"..string.sub(orderstring,ordercount,ordercount).."["..name.."]",
    	gas_temperature = 15,
    	auto_barrel = false
	}
	})
end


--names and colors compatible with angels petrochem
create_gas_fluid("gas-hydrogen",{r=1.0, g=1.0, b=1.0})
create_gas_fluid("gas-oxygen",{r=1.0, g=0.0, b=0.0})
create_gas_fluid("gas-carbon-dioxide",{r=1.0, g=0.5, b=0.5})
create_gas_fluid("gas-carbon-monoxide",{r=1.0, g=0.4, b=0.4})
create_gas_fluid("gas-methane",{r=0.3, g=0.3, b=0.3})	
create_gas_fluid("gas-acetylene",{r=0.4, g=0.4, b=0.4})	
create_oil_fluid("gas-benzene",{r=0.5, g=0.2, b=0.2})	
create_oil_fluid("gas-methanol",{r=0.5, g=0.3, b=0.3})	
create_oil_fluid("gas-formaldehyde",{r=0.8, g=0.4, b=0.4})
create_oil_fluid("gas-oxalic-acid",{r=0.6, g=0.6, b=0.2})


--data:extend(
--{
--  {
--
--    type = "fluid",
--    name = "syngas",
--    default_temperature = 25,
--    heat_capacity = "1KJ",
--    base_color = {r=0, g=0, b=0},
--    flow_color = {r=0.5, g=0.5, b=0.5},
--    max_temperature = 100,
--    icon = "__methane-processing__/graphics/icons/fluid/syngas.png",
--    pressure_to_speed_ratio = 0.4,
--    flow_to_energy_ratio = 0.59,
--    order = "a[fluid]-b[crude-oil]"
--  },
--
--  {
--    type = "fluid",
--    name = "benzene",
--    default_temperature = 25,
--    heat_capacity = "1KJ",
--    base_color = {r=0.5, g=0.04, b=0},
--    flow_color = {r=0.85, g=0.6, b=0.3},
--    max_temperature = 100,
--    icon = "__methane-processing__/graphics/icons/fluid/benzene.png",
--    pressure_to_speed_ratio = 0.4,
--    flow_to_energy_ratio = 0.59,
--    order = "a[fluid]-c[heavy-oil]"
--  },
--
--  {
--    type = "fluid",
--    name = "methane-gas",
--    default_temperature = 25,
--    heat_capacity = "1KJ",
--    base_color = {r=0.57, g=0.33, b=0},
--	flow_color = {r=1, g=0.73, b=0.07},
--    max_temperature = 100,
--    icon = "__methane-processing__/graphics/icons/fluid/methane.png",
--    pressure_to_speed_ratio = 0.4,
--    flow_to_energy_ratio = 0.59,
--    order = "a[fluid]-a[light-oil]"
--  },
--
--  {
--    type = "fluid",
--    name = "acetylene",
--    default_temperature = 25,
--    heat_capacity = "1KJ",
--    base_color = {r=0.3, g=0.1, b=0.3},
--    flow_color = {r=0.8, g=0.8, b=0.8},
--    max_temperature = 100,
--    icon = "__methane-processing__/graphics/icons/fluid/acetylene.png",
--    pressure_to_speed_ratio = 0.4,
--    flow_to_energy_ratio = 0.59,
--    order = "a[fluid]-e[petroleum-gas]"
--  },
--
--  {
--    type = "fluid",
--    name = "methanol",
--    default_temperature = 25,
--    heat_capacity = "1KJ",
--    base_color = {r=0.75, g=0.65, b=0.1},
--    flow_color = {r=0.7, g=1, b=0.1},
--    max_temperature = 100,
--    icon = "__methane-processing__/graphics/icons/fluid/methanol.png",
--    pressure_to_speed_ratio = 0.4,
--    flow_to_energy_ratio = 0.59,
--    order = "a[fluid]-f[sulfuric-acid]"
--  }
--})

