--Compatibility and changes:
--vanilla (without oil) V
--vanilla (with oil)	VO
--life support			LS	co2 and oxygen may be different
--martian				M	like life support
--angels				A	fluid names from angels are used, so you can also use angels fluids. 

data:extend(
{

---Technology: Methane

	--sabatier-process
	--alternative to bosch-reaction, produces methane. needs less time than bosch
	-- from syngas:	CO + 3 H2 -> CH4 + H2O		<-- not used, since syngas should be mainly created from methane. 
	-- from co2:	CO2 + 4 H2 -> CH4 + 2 H2O	<-- this is used here
	-- with electrolysis o2 can be created from water
	-- exotherm: -165 kJ/mol
  {
    type = "recipe",
    name = "sabatier-process",
    category = "chemistry",
    enabled = false,
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="gas-carbon-dioxide", amount=30},
      {type="fluid", name="gas-hydrogen", amount=120}
    },
    results=
    {
      {type="fluid", name="gas-methane", amount=30},
      {type="fluid", name="water", amount=60},
    },
	main_product = "",
    icon = "__methane-processing__/graphics/icons/recipe/sabatier-process.png",
    subgroup = "fluid-recipes",
    order = "c[sabatier]-a[sabatier]",
    crafting_machine_tint =
    {
      primary	={r = 0.3, g = 0.3, b = 0.3, a = 0.000},
      secondary	={r = 1.0, g = 0.5, b = 0.5, a = 0.000},
      tertiary 	={r = 1.0, g = 1.0, b = 1.0, a = 0.000},
    }


  },

  {
    type = "recipe",
    name = "solid-fuel-from-methane",
    category = "chemistry",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="gas-methane", amount=62.5}	
		--50.01 MJ/kg
		--16 g/mol
		--0.8 MJ/mol
    },
    results=
    {
      {type="item", name="solid-fuel", amount=2}
    },
    icon = "__methane-processing__/graphics/icons/recipe/solid-fuel-from-methane.png",
    subgroup = "fluid-recipes",
    enabled = false,
    order = "g[fuel]-a[methane]",
    crafting_machine_tint =
    {
      primary = {r = 0.270, g = 0.122, b = 0.000, a = 0.000}, -- #441f0000
      secondary = {r = 0.735, g = 0.546, b = 0.325, a = 0.000}, -- #bb8b5200
      tertiary = {r = 0.610, g = 0.348, b = 0.000, a = 0.000}, -- #9b580000
    }
  },

	--from here methane is not recycled anymore for life support.
	--methane to acetylene:

--Technology: Acetylene

  {
    type = "recipe",
    name = "methane-to-acetylene",
    category = "oil-processing",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="gas-methane", amount=100}
    },
    results=
    {
      {type="fluid", name="gas-acetylene", amount=10},
      {type="fluid", name="gas-benzene", amount=10},
      {type="fluid", name="gas-hydrogen", amount=160}
    },
	--10 CH4 -> 1 C2H2, 1 C6H6, 16 H2, (1 C)
	main_product = "",
    icon = "__methane-processing__/graphics/icons/recipe/acetylene.png",
    subgroup = "fluid-recipes",
    order = "d[acetylene]-a[acetylene]"
  },
})

if data.raw.fluid["gas-ethylene"] == nil then

data:extend({
	--now plastic from acrylic acid (with CO from coal)
	--not suitable for martian or angels
  {
    type = "recipe",
    name = "acrylic-plastic-bar-coal",
    category = "chemistry",
    energy_required = 1,
    enabled = false,
    ingredients =
    {
      {type="fluid", name="gas-acetylene", amount=30},
      {type="item", name="coal", amount=1},
    },
    results=
    {
      {type="item", name="plastic-bar", amount=2},
    },
    requester_paste_multiplier = 4,
    main_product= "plastic-bar",
    --icon = "__base__/graphics/icons/plastic-bar.png",
    --subgroup = "fluid-recipes",
    --order = "b[fluid-chemistry]-b[light-oil-cracking]",
    crafting_machine_tint =
    {
      primary = {r = 0.498, g = 0.498, b = 0.498, a = 0.000}, -- #7f7f7f00
      secondary = {r = 0.400, g = 0.400, b = 0.400, a = 0.000}, -- #66666600
      tertiary = {r = 0.305, g = 0.305, b = 0.305, a = 0.000}, -- #4d4d4d00
    }

  },
})
else
data:extend({
	--for angels acetylene
  {
    type = "recipe",
    name = "acetylene-to-ethylene",
    category = "chemistry",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {type="fluid", name="gas-acetylene", amount=10},
      {type="fluid", name="gas-hydrogen", amount=10}
    },
    results=
    {
      {type="fluid", name="gas-ethylene", amount=10}
    },
    subgroup = "fluid-recipes",
    crafting_machine_tint =
    {
      primary = {r = 0.498, g = 0.498, b = 0.498, a = 0.000}, -- #7f7f7f00
      secondary = {r = 0.400, g = 0.400, b = 0.400, a = 0.000}, -- #66666600
      tertiary = {r = 0.305, g = 0.305, b = 0.305, a = 0.000}, -- #4d4d4d00
    }

  },
})
end

data:extend({
  {
    type = "recipe",
    name = "benzene-lubricant",
    category = "chemistry",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {type="fluid", name="gas-benzene", amount=10}
    },
    results=
    {
      {type="fluid", name="lubricant", amount=10}
    },
    subgroup = "fluid-recipes",
    crafting_machine_tint =
    {
      primary = {r = 0.000, g = 0.260, b = 0.010, a = 0.000}, -- #00420200
      secondary = {r = 0.071, g = 0.640, b = 0.000, a = 0.000}, -- #12a30000
      tertiary = {r = 0.026, g = 0.520, b = 0.000, a = 0.000}, -- #06840000
    }
  },

	--fuels
  {
    type = "recipe",
    name = "solid-fuel-from-acetylene",
    category = "chemistry",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="gas-acetylene", amount=20}	
		--48.2 MJ/kg
		--26 g/mol
		--1.25 MJ/mol
    },
    results=
    {
      {type="item", name="solid-fuel", amount=1}	--25 MJ
    },
    icon = "__methane-processing__/graphics/icons/recipe/solid-fuel-from-acetylene.png",
    subgroup = "fluid-recipes",
    enabled = false,
    order = "g[fuel]-b[acetylene]",
    crafting_machine_tint =
    {
      primary = {r = 0.331, g = 0.075, b = 0.510, a = 0.000}, -- #54138200
      secondary = {r = 0.589, g = 0.540, b = 0.615, a = 0.361}, -- #96899c5c
      tertiary = {r = 0.469, g = 0.145, b = 0.695, a = 0.000}, -- #7724b100
    }

  },

  {
    type = "recipe",
    name = "solid-fuel-from-benzene",
    category = "chemistry",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="gas-benzene", amount=6} 
		--40.6 MJ/kg
		--78.11 g/mol
		--3.17 MJ/mol
    },
    results=
    {
      {type="item", name="solid-fuel", amount=1}
    },
    icon = "__methane-processing__/graphics/icons/recipe/solid-fuel-from-benzene.png",
    subgroup = "fluid-recipes",
    enabled = false,
    order = "g[fuel]-c[benzene]",
    crafting_machine_tint =
    {
      primary = {r = 0.160, g = 0.095, b = 0.095, a = 0.000}, -- #28181800
      secondary = {r = 0.470, g = 0.215, b = 0.190, a = 0.000}, -- #77363000
      tertiary = {r = 0.435, g = 0.144, b = 0.135, a = 0.000}, -- #6e242200
    }

  },


--Technology: Adv. Acetylene
	--needs scipack 3, so plastic must be already avail.
	--douple acetylene output
  {
    type = "recipe",
    name = "advanced-methane-to-acetylene",
    category = "oil-processing",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="gas-methane", amount=100}
    },
    results=
    {
      {type="fluid", name="gas-acetylene", amount=20},
      {type="fluid", name="gas-benzene", amount=10},
      {type="fluid", name="gas-hydrogen", amount=150}
    },
	--10 CH4 -> 2 C2H2, 1 C6H6, 15 H2 
	main_product = "",
    icon = "__methane-processing__/graphics/icons/recipe/advanced-acetylene.png",
    subgroup = "fluid-recipes",
    order = "d[acetylene]-b[acetylene]"
  },

	--cracking of byproducts
	--5 times acetylene output, if no benzene is needed
  {
    type = "recipe",
    name = "benzene-cracking",
    category = "chemistry",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="gas-benzene", amount=10}
    },
    results=
    {
      {type="fluid", name="gas-acetylene", amount=30}
    },
    icon = "__methane-processing__/graphics/icons/recipe/benzene-cracking.png",
    subgroup = "fluid-recipes",
    order = "d[acetylene]-c[benzene]",
    crafting_machine_tint =
    {
      primary = {r = 0.290, g = 0.027, b = 0.000, a = 0.000}, -- #49060000
      secondary = {r = 0.722, g = 0.465, b = 0.190, a = 0.000}, -- #b8763000
      tertiary = {r = 0.870, g = 0.365, b = 0.000, a = 0.000}, -- #dd5d0000
    }

  },


---Technology: Syngas
	--needs scipack 3

	--you want 1CO + 2H2 for methane

	--first one available. Very slow. Very easy to build.
	--Oxygen should be the bottleneck
	-- 2CH4 + O2 -> 2CO + 4H2
  {
    type = "recipe",
    name = "methane-to-syngas",
    category = "oil-processing",
    enabled = false,
    energy_required = 20,
    ingredients =
    {
      {type="fluid", name="gas-oxygen", amount=50},
      {type="fluid", name="gas-methane", amount=100},

    },
    results=
    {
      {type="fluid", name="gas-hydrogen", amount=200},
      {type="fluid", name="gas-carbon-monoxide", amount=100},

    },
    icon = "__methane-processing__/graphics/icons/recipe/syngas.png",
    subgroup = "fluid-recipes",
    order = "e[syngas]-a[methane]"
  },
})

if data.raw.fluid["liquid-plastic"] == nil then
data:extend({
--needs syngas instead of coal
  {
    type = "recipe",
    name = "acrylic-plastic-bar",
    category = "chemistry",
    energy_required = 1,
    enabled = false,
    ingredients =
    {
      {type="fluid", name="gas-acetylene", amount=30},
      {type="fluid", name="gas-carbon-monoxide", amount=10},	
    },
    results=
    {
      {type="item", name="plastic-bar", amount=2},
    },
    requester_paste_multiplier = 4,
    main_product= "plastic-bar",
    --icon = "__base__/graphics/icons/plastic-bar.png",
    --subgroup = "fluid-recipes",
    --order = "b[fluid-chemistry]-b[light-oil-cracking]"
    crafting_machine_tint =
    {
      primary	={r = 0.498, g = 0.498, b = 0.498, a = 0.000},
      secondary	={r = 0.400, g = 0.400, b = 0.400, a = 0.000},
      tertiary 	={r = 0.305, g = 0.305, b = 0.305, a = 0.000},
    }

  },
})
end
--angels way uses acetylene to ethylene. There is no need for coal or carbon monixide.


---Technology: Adv. Syngas
	--CH4 + H2O -> CO + 3H2
	--CO + H2O -> CO2 + H2
	--700 decC: CO2:CO = 42:58
	--100CH4 + 140H2O -> 60CO + 340H2 + 40CO2 
	--CO + H2O -> CO2 + H2
	--higher tier. fast but complicated. waste products must be fed into sabatier once more.
data:extend({
  {
    type = "recipe",
    name = "advanced-methane-to-syngas",
    category = "oil-processing",
    enabled = false,
    energy_required = 4,	--nice for calculations. hehe, without crafting speed.
    ingredients =
    {
      {type="fluid", name="steam", amount=140},
      {type="fluid", name="gas-methane", amount=100},
    },
    results=
    {
      {type="fluid", name="gas-hydrogen", amount=340}, --80 for methane, 120 for methanol
      {type="fluid", name="gas-carbon-monoxide", amount=60},
      {type="fluid", name="gas-carbon-dioxide", amount=40},
    },
	main_product = "",
    icon = "__methane-processing__/graphics/icons/recipe/advanced-syngas.png",
    subgroup = "fluid-recipes",
    order = "e[syngas]-b[advanced-methane]"
  },
  {
    type = "recipe",
    name = "petroleum-to-syngas",
    category = "oil-processing",
    enabled = false,
    energy_required = 10,	
    ingredients =
    {
      {type="fluid", name="steam", amount=140},
      {type="fluid", name="petroleum-gas", amount=100},
    },
    results=
    {
      {type="fluid", name="gas-hydrogen", amount=240}, 
      {type="fluid", name="gas-carbon-monoxide", amount=60},
      {type="fluid", name="gas-carbon-dioxide", amount=40},
    },
	main_product = "",
    icon = "__methane-processing__/graphics/icons/recipe/petroleum-to-syngas.png",
    subgroup = "fluid-recipes",
    order = "e[syngas]-c[petroleum]"
  },

---Technology: Coal liquif.
	--syngas must be researched	
	--C + H2O -> CO + H2 
	--CO + H2O -> CO2 + H2
	--900 decC: CO2:CO = 6:94
	--100C + 105H2O -> 95CO + 105H2 + 5CO2 
	--uses fossil fuels. faster co but not enough h2. needs additional h2.
  {
    type = "recipe",
    name = "coal-gasification",
    category = "oil-processing",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="steam", amount=105},
      {type="item", name="coal", amount=10},
    },
    results=
    {
      {type="fluid", name="gas-hydrogen", amount=105},
      {type="fluid", name="gas-carbon-monoxide", amount=95},
      {type="fluid", name="gas-carbon-dioxide", amount=5},
    },
    icon = "__methane-processing__/graphics/icons/recipe/coal-gasification.png",
    subgroup = "fluid-recipes",
    order = "e[syngas]-d[coal]",
    allow_decomposition = false
  },
  
--Technology: Methanol
	--syngas to methanol
  {
    type = "recipe",
    name = "syngas-to-methanol",
    category = "chemistry",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="gas-carbon-monoxide", amount=50},
      {type="fluid", name="gas-hydrogen", amount=100}
    },
    results=
    {
      {type="fluid", name="gas-methanol", amount=50},
    },
	main_product = "gas-methanol",
    icon = "__methane-processing__/graphics/icons/recipe/methanol.png",
    subgroup = "fluid-recipes",
    order = "f[methanol]-a[methanol]",
    crafting_machine_tint =
    {
      primary = {r = 0.970, g = 0.611, b = 0.000, a = 0.000},
      secondary = {r = 0.5, g = 0.25, b = 0.0, a = 0.0}, 
      tertiary = {r = 0.3, g = 0.3, b = 0.3, a = 0.000}, 
    }

  },

  {
    type = "recipe",
    name = "fuel-cell",
    category = "chemistry",
    normal =
    {
      energy_required = 5,
      enabled = false,
      ingredients =
      {
        {type="fluid", name="gas-methanol", amount=20},
        {"iron-plate", 1},
        {"copper-plate", 1}
      },
      result= "battery"
    },
    expensive =
    {
      energy_required = 5,
      enabled = false,
      ingredients =
      {
        {type="fluid", name="gas-methanol", amount=40},
        {"iron-plate", 1},
        {"copper-plate", 1}
      },
      result= "battery"
    },
    crafting_machine_tint =
    {
      primary = {r = 0.970, g = 0.611, b = 0.000, a = 0.000}, -- #f79b0000
      secondary = {r = 0.000, g = 0.680, b = 0.894, a = 0.357}, -- #00ade45b
      tertiary = {r = 0.430, g = 0.805, b = 0.726, a = 0.000}, -- #6dcdb900
    }

  },


  {
    type = "recipe",
    name = "solid-fuel-from-methanol",
    category = "chemistry",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="gas-methanol", amount=70} 
		-- 0.72 MJ/mol
    },
    results=
    {
      {type="item", name="solid-fuel", amount=2}
    },
    icon = "__methane-processing__/graphics/icons/recipe/solid-fuel-from-methanol.png",
    subgroup = "fluid-recipes",
    enabled = false,
    order = "g[fuel]-d[methanol]",
    crafting_machine_tint =
    {
      primary = {r = 0.270, g = 0.122, b = 0.000, a = 0.000}, -- #441f0000
      secondary = {r = 0.735, g = 0.546, b = 0.325, a = 0.000}, -- #bb8b5200
      tertiary = {r = 0.610, g = 0.348, b = 0.000, a = 0.000}, -- #9b580000
    }

  },

  {
    type = "recipe",
    name = "solid-oxalic-acid",
    category = "chemistry",
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="gas-methanol", amount=40}, 
      {type="fluid", name="gas-oxygen", amount=50} 
    },
    results=
    {
      {type="item", name="oxalic-acid", amount=2},
      {type="fluid", name="water", amount=60} 
		--2 solid oxalic acid + 60 water => 20 liquid-acid
    },
--    icon = "__methane-processing__/graphics/icons/recipe/oxalic-acid.png",
--    subgroup = "fluid-recipes",
    enabled = false,
	main_product = "oxalic-acid",
    order = "f[methanol]-d[solid-oxalic-acid]",
    subgroup = "fluid-recipes",
    crafting_machine_tint =
    {
      primary = {r = 0.875, g = 0.735, b = 0.000, a = 0.000}, -- #dfbb0000
      secondary = {r = 0.103, g = 0.940, b = 0.000, a = 0.000}, -- #1aef0000
      tertiary = {r = 0.564, g = 0.795, b = 0.000, a = 0.000}, -- #8fca0000
    }

  },

  {
    type = "recipe",
    name = "oxalic-acid",
    category = "chemistry",
    energy_required = 5,
    ingredients =
    {
      {type="fluid", name="gas-methanol", amount=40}, 
      {type="fluid", name="gas-oxygen", amount=50} 
    },
    results=
    {
      {type="fluid", name="gas-oxalic-acid", amount=20}
		--2 solid oxalic acid + 60 water => 20 liquid-acid
    },
--    icon = "__methane-processing__/graphics/icons/recipe/oxalic-acid.png",
--    subgroup = "fluid-recipes",
    enabled = false,
    order = "f[methanol]-d[oxalic-acid]",
    subgroup = "fluid-recipes",
    crafting_machine_tint =
    {
      primary = {r = 0.875, g = 0.735, b = 0.000, a = 0.000}, -- #dfbb0000
      secondary = {r = 0.103, g = 0.940, b = 0.000, a = 0.000}, -- #1aef0000
      tertiary = {r = 0.564, g = 0.795, b = 0.000, a = 0.000}, -- #8fca0000
    }

  },
---Technology: Formaldehyde
	--2CH3OH + O2 -> 2CH2O + 2H2O
	--CH3OH -> CH2O + H2
	-- => 3CH3OH + O2 -> 3CH2O + 2H20 + H2
  {
    type = "recipe",
    name = "formaldehyde",
    category = "oil-processing",
    energy_required = 3,
    ingredients =
    {
      {type="fluid", name="gas-methanol", amount=90}, 
      {type="fluid", name="gas-oxygen", amount=30} 
    },
    results=
    {
      {type="fluid", name="gas-hydrogen", amount=30}, 
      {type="fluid", name="water", amount=60},
      {type="fluid", name="gas-formaldehyde", amount=90} 
    },
    icon = "__methane-processing__/graphics/icons/fluid/gas-formaldehyde.png",
    subgroup = "fluid-recipes",
    enabled = false,
    order = "f[methanol]-b[formaldehyde]",
    crafting_machine_tint =
    {
      primary = {r = 1.0, g = 1.0, b = 0.000, a = 0.000},
      secondary = {r = 0.5, g = 0.25, b = 0.0, a = 0.0}, 
      tertiary = {r = 0.3, g = 0.3, b = 0.3, a = 0.000}, 
    }

  },
	--use for Explosives, Processing Unit and Plastics(with productivity science)

{
    type = "recipe",
    name = "formaldehyde-explosives",
    category = "chemistry",
    crafting_machine_tint =
    {
      primary = {r = 0.955, g = 0.945, b = 0.000, a = 0.000}, -- #f3f10000
      secondary = {r = 0.000, g = 0.441, b = 0.659, a = 0.898}, -- #0070a8e5
      tertiary = {r = 0.000, g = 0.288, b = 0.365, a = 0.000}, -- #00495d00
    },
    normal =
    {
      energy_required = 5,
      enabled = false,
      ingredients =
      {
        {type="item", name="coal", amount=1},
        {type="fluid", name="gas-formaldehyde", amount=10},
      },
      result= "explosives",
    },
    expensive =
    {
      energy_required = 5,
      enabled = false,
      ingredients =
      {
        {type="item", name="coal", amount=2},
        {type="fluid", name="gas-formaldehyde", amount=20},
      },
      result= "explosives",
    }
  },


  {
    type = "recipe",
    name = "formaldehyde-processing-unit",
    category = "crafting-with-fluid",
    normal =
    {
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"electronic-circuit", 20},
        {"advanced-circuit", 2},
        {type = "fluid", name = "gas-formaldehyde", amount = 5}
      },
      result = "processing-unit"
    },
    expensive =
    {
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"electronic-circuit", 20},
        {"advanced-circuit", 2},
        {type = "fluid", name = "gas-formaldehyde", amount = 10}
      },
      result = "processing-unit"
    }
  },

  {
    type = "recipe",
    name = "formaldehyde-plastics",
    category = "chemistry",
    energy_required = 1,
    enabled = false,
    ingredients =
    {
      {type="fluid", name="gas-formaldehyde", amount=20},
      {type="fluid", name="gas-carbon-monoxide", amount=10}
    },
    results=
    {
      {type="item", name="plastic-bar", amount=2}
    },
    requester_paste_multiplier = 4,
    crafting_machine_tint =
    {
      primary = {r = 0.498, g = 0.498, b = 0.498, a = 0.000}, -- #7f7f7f00
      secondary = {r = 0.400, g = 0.400, b = 0.400, a = 0.000}, -- #66666600
      tertiary = {r = 0.305, g = 0.305, b = 0.305, a = 0.000}, -- #4d4d4d00
    },
    icon = "__base__/graphics/icons/plastic-bar.png",
  },

  {
    type = "recipe",
    name = "methane-flamethrower-ammo",
    category = "chemistry",
    enabled = false,
    energy_required = 6,
    ingredients =
    {
      {type="item", name="steel-plate", amount=5},
      {type="fluid", name="gas-methanol", amount=50},
      {type="fluid", name="gas-benzene", amount=50}
    },
    result = "flamethrower-ammo",
    crafting_machine_tint =
    {
      primary = {r = 0.845, g = 0.533, b = 0.000, a = 0.000}, -- #d7870000
      secondary = {r = 0.655, g = 0.000, b = 0.000, a = 0.000}, -- #a7000000
      tertiary = {r = 0.685, g = 0.329, b = 0.000, a = 0.000}, -- #ae530000
    }
  },



})
if data.raw.recipe["co2"] == nil then
data:extend({
    --CO2 from atmosphere
  {
    type = "recipe",
    name = "co2",
    category = "chemistry",
    enabled = false,
    energy_required = 20,
    ingredients = {},
    results =
    {
      {type="fluid", name="gas-carbon-dioxide", amount=200},
    },
    crafting_machine_tint =
    {
      primary	={r = 1.0, g = 0.5, b = 0.0, a = 0.000},
      secondary	={r = 1.0, g = 0.5, b = 0.5, a = 0.000},
      tertiary 	={r = 0.5, g = 0.25, b = 0.25, a = 0.000},
    }

  },
    --O2 from atmosphere TODO hide in martian
  {
    type = "recipe",
    name = "o2",
    category = "chemistry",
    enabled = false,
    energy_required = 20,
    ingredients = {},
    results =
    {
      {type="fluid", name="gas-oxygen", amount=200},
    } ,
    crafting_machine_tint =
    {
      primary	={r = 1.0, g = 0.5, b = 0.0, a = 0.000},
      secondary	={r = 1.0, g = 0.0, b = 0.0, a = 0.000},
      tertiary 	={r = 0.5, g = 0.0, b = 0.0, a = 0.000},
    }

  },

})
end

if data.raw.recipe["water-separation"] == nil then
--TODO hide get_o2 and get_h2 in martian
data:extend({
  {
    type = "recipe",
    name = "get_hydrogen",
	category = "chemistry",
    enabled = false,
    energy_required = 2, 
    ingredients =
    {
	  {type="fluid", name="water", amount=40},
    },
    results = 
	{
	  {type="fluid", name="gas-hydrogen", amount=40},
	},
	order = "a-b",
    crafting_machine_tint =
    {
      primary	={r = 0.0, g = 0.34, b = 0.6, a = 0.000},
      secondary	={r = 1.0, g = 1.0, b = 1.0, a = 0.000},
      tertiary 	={r = 0.7, g = 0.7, b = 0.7, a = 0.000},
    }

  },
  {
    type = "recipe",
    name = "get_oxygen",
	category = "chemistry",
    enabled = false,
    energy_required = 2, 
    ingredients =
    {
	  {type="fluid", name="water", amount=40},
    },
    results = 
	{
	  {type="fluid", name="gas-oxygen", amount=20},
	},
	order = "a-c",
    crafting_machine_tint =
    {
      primary	={r = 0.0, g = 0.34, b = 0.6, a = 0.000},
      secondary={r = 1.0, g = 0.0, b = 0.0, a = 0.000},
      tertiary 	={r = 0.7, g = 0.7, b = 0.7, a = 0.000},
    }

  },
  {
    type = "recipe",
    name = "electrolysis",
	category = "chemistry",
    enabled = false,
    energy_required = 2, 
    ingredients =
    {
	  {type="fluid", name="water", amount=40},
    },
    results = 
	{
	  {type="fluid", name="gas-hydrogen", amount=40},
	  {type="fluid", name="gas-oxygen", amount=20},
	},
	order = "a-d",
    icon = "__methane-processing__/graphics/icons/recipe/electrolysis.png",
    subgroup = "fluid",
    crafting_machine_tint =
    {
      primary	={r = 0.0, g = 0.34, b = 0.6, a = 0.000},
      secondary	={r = 1.0, g = 0.5, b = 0.5, a = 0.000},
      tertiary 	={r = 0.7, g = 0.7, b = 0.7, a = 0.000},
    }

  },

})
end


