
if data.raw.recipe["water-separation"] == nil then
--vanilla
data:extend({
  {
    type = "technology",
    name = "chemistry",
    icon = "__methane-processing__/graphics/technology/chemistry.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "chemical-plant"
      },
      {
        type = "unlock-recipe",
        recipe = "co2"
      },
      {
        type = "unlock-recipe",
        recipe = "o2"
      },
      {
        type = "unlock-recipe",
        recipe = "get_hydrogen"
      },
      {
        type = "unlock-recipe",
        recipe = "get_oxygen"
      },
      {
        type = "unlock-recipe",
        recipe = "electrolysis"
      },
    },
    prerequisites = {"logistics","electronics","steel-processing"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 30
    },
    order = "c-l-a"
  },
})
else
--angels variant. Water handling is now in angels hands.
data:extend({
  {
    type = "technology",
    name = "chemistry",
    icon = "__methane-processing__/graphics/technology/chemistry.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "chemical-plant"
      },
      {
        type = "unlock-recipe",
        recipe = "co2"
      },
      {
        type = "unlock-recipe",
        recipe = "o2"
      },
    },
    prerequisites = {"logistics","electronics","steel-processing","basic-chemistry"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 30
    },
    order = "c-l-a"
  },
})
end

data:extend({
  {
    type = "technology",
    name = "methane-processing",
    icon = "__methane-processing__/graphics/technology/methane-processing.png",
    prerequisites = {"steel-processing", "chemistry"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "oil-refinery"
      },
      {
        type = "unlock-recipe",
        recipe = "sabatier-process"
      },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-methane"
      },

    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 30
    },
    order = "d-a"
  },

  {
    type = "technology",
    name = "acetylene-processing",
    icon = "__methane-processing__/graphics/technology/acetylene-processing.png",
    prerequisites = {"methane-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "methane-to-acetylene"
      },
--      {
--        type = "unlock-recipe",
--        recipe = "acetylene-to-ethylene"
--      },
      {
        type = "unlock-recipe",
        recipe = "benzene-lubricant"
      },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-acetylene"
      },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-benzene"
      },
	},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 30
    },
    order = "d-a"
  },
})



--vanilla
if data.raw.recipe["acrylic-plastic-bar-coal"] ~= nil then
	bobmods.lib.tech.replace_prerequisite("plastics", "oil-processing", "acetylene-processing")	
	bobmods.lib.tech.add_recipe_unlock("plastics", "acrylic-plastic-bar-coal")
	bobmods.lib.tech.add_recipe_unlock("plastics", "acrylic-plastic-bar")
	if settings.startup["disable-oil-recipes"].value then
		--vanilla without oil
		bobmods.lib.tech.remove_recipe_unlock("plastics", "plastic-bar")
	end
end
--angels
if data.raw.recipe["acetylene-to-ethylene"] ~= nil then
	bobmods.lib.tech.add_recipe_unlock("acetylene-processing", "acetylene-to-ethylene")
end

data:extend({

  {
    type = "technology",
    name = "advanced-acetylene-processing",
    icon = "__methane-processing__/graphics/technology/acetylene-processing.png",
    prerequisites = {"acetylene-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "advanced-methane-to-acetylene"
      },
      {
        type = "unlock-recipe",
        recipe = "benzene-cracking"
      }
    },
    unit =
    {
      count = 75,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-b"
  },

  {
    type = "technology",
    name = "syngas-processing",
    icon = "__methane-processing__/graphics/technology/syngas-processing.png",
    prerequisites = {"methane-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "methane-to-syngas"
	  },
    },
    unit =
    {
      count = 150,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
		},
      time = 30,
    },
    order = "d-c"
  },
})


data:extend({
{
    type = "technology",
    name = "advanced-syngas-processing",
    icon = "__methane-processing__/graphics/technology/syngas-processing.png",
    prerequisites = {"syngas-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "advanced-methane-to-syngas"
	  },
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30,
    },
    order = "d-c"
  },
})

if (not settings.startup["disable-oil-recipes"].value) and (data.raw.fluid["liquid-plastic"] == nil) then
	--vanilla with oil
	--not in angels
	bobmods.lib.tech.add_recipe_unlock("advanced-syngas-processing", "petroleum-to-syngas")
end

bobmods.lib.tech.replace_prerequisite("coal-liquefaction", "advanced-oil-processing", "advanced-syngas-processing")	
bobmods.lib.tech.add_recipe_unlock("coal-liquefaction", "coal-gasification")

if settings.startup["disable-oil-recipes"].value then
	--vanilla without oil
	bobmods.lib.tech.remove_recipe_unlock("coal-liquefaction", "coal-liquefaction")
end

data:extend({
  {
    type = "technology",
    name = "methanol-processing",
    icon = "__methane-processing__/graphics/technology/methanol-processing.png",
    prerequisites = {"syngas-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "syngas-to-methanol"
	  },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-methanol"
	  },
    },
    
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
		},
      time = 30
    },
    order = "d-c"
  },
})


bobmods.lib.tech.replace_prerequisite("battery", "sulfur-processing", "methanol-processing")	
bobmods.lib.tech.add_recipe_unlock("battery", "fuel-cell")

if settings.startup["disable-oil-recipes"].value then
	--vanilla without oil
	bobmods.lib.tech.remove_recipe_unlock("battery", "battery")
end

data:extend({
  {
    type = "technology",
    name = "oxalic-acid",
    icon = "__methane-processing__/graphics/technology/oxalic-acid.png",
    prerequisites = {"methanol-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "oxalic-acid"
	  },
      {
        type = "unlock-recipe",
        recipe = "solid-oxalic-acid"
	  },
    },
    
    unit =
    {
      count = 300,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1},
		},
      time = 30
    },
    order = "d-c"
  },

  {
    type = "technology",
    name = "formaldehyde-processing",
    icon = "__methane-processing__/graphics/technology/formaldehyde-processing.png",
    prerequisites = {"methanol-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "formaldehyde"
	  },
    },
    
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-c"
  },
})


if data.raw.recipe["acetylene-to-ethylene"] == nil then
--not in angels
data:extend({
  {
    type = "technology",
    name = "formaldehyde-plastics",
    icon = "__base__/graphics/technology/plastics.png",
    prerequisites = {"formaldehyde-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "formaldehyde-plastics"
	  },
    },
    unit = {
      count = 200,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1},
                     {"production-science-pack", 1},
		},
      time = 30
    },
    order = "d-c"
  },
})
end

bobmods.lib.tech.replace_prerequisite("explosives", "sulfur-processing", "formaldehyde-processing")	
bobmods.lib.tech.add_recipe_unlock("explosives", "formaldehyde-explosives")
if settings.startup["disable-oil-recipes"].value then
	--vanilla without oil
	bobmods.lib.tech.remove_recipe_unlock("explosives", "explosives")
end

bobmods.lib.tech.add_recipe_unlock("advanced-electronics-2", "formaldehyde-processing-unit")
if settings.startup["disable-oil-recipes"].value then
	--vanilla without oil
	bobmods.lib.tech.remove_recipe_unlock("advanced-electronics-2", "processing-unit")
end

bobmods.lib.tech.replace_prerequisite("flammables", "oil-processing", "acetylene-processing")	
bobmods.lib.tech.add_recipe_unlock("flamethrower", "methane-flamethrower-ammo")
if settings.startup["disable-oil-recipes"].value then
	--vanilla without oil
	bobmods.lib.tech.remove_recipe_unlock("flamethrower", "flamethrower-ammo")
end

