local function hide_recipe(name)
	if data.raw.recipe[name] ~= nil then
		data.raw.recipe[name].hidden = true
	end
end

if settings.startup["disable-oil-recipes"].value then
	hide_recipe("basic-oil-processing")
	hide_recipe("advanced-oil-processing")
	hide_recipe("coal-liquefaction")
	hide_recipe("heavy-oil-cracking")
	hide_recipe("light-oil-cracking")
	hide_recipe("sulfuric-acid")
	hide_recipe("plastic-bar")
	hide_recipe("solid-fuel-from-light-oil")
	hide_recipe("solid-fuel-from-petroleum-gas")
	hide_recipe("solid-fuel-from-heavy-oil")
	hide_recipe("sulfur")
	hide_recipe("lubricant")
	hide_recipe("fill-crude-oil-barrel")
	hide_recipe("empty-crude-oil-barrel")
	hide_recipe("flame-thrower-ammo")
	data.raw.technology["oil-processing"].enabled = false
	data.raw.technology["advanced-oil-processing"].enabled = false
	data.raw.technology["sulfur-processing"].enabled = false

	bobmods.lib.recipe.replace_ingredient_in_all("sulfuric-acid", "gas-formaldehyde")
	bobmods.lib.recipe.replace_ingredient_in_all("sulfur", "oxalic-acid")
	bobmods.lib.recipe.replace_ingredient_in_all("heavy-oil", "gas-benzene")
	bobmods.lib.recipe.replace_ingredient_in_all("light-oil", "gas-methane")
	bobmods.lib.recipe.replace_ingredient_in_all("petroleum", "gas-acetylene")

	for name,tech in pairs(data.raw.technology) do
		if tech and tech.prerequisites then
			for _,pre in pairs(tech.prerequisites) do
				if pre == "oil-processing" then
					bobmods.lib.tech.replace_prerequisite(name, "oil-processing", "methane-processing")
				end
				if pre == "sulfur-processing" then
					bobmods.lib.tech.replace_prerequisite(name, "sulfur-processing", "syngas-processing")
				end
			end
		end
	end

	data.raw["fluid-turret"]["flamethrower-turret"].attack_parameters.fluids = {
    	{type = "gas-benzene", damage_modifier = 2.0},
    	{type = "gas-methanol", damage_modifier = 1.0}
	}
else
	table.insert(data.raw["fluid-turret"]["flamethrower-turret"].attack_parameters.fluids, {type = "gas-benzene", damage_modifier = 2.0})
	table.insert(data.raw["fluid-turret"]["flamethrower-turret"].attack_parameters.fluids, {type = "gas-methanol", damage_modifier = 1.0})
end

data.raw.resource["uranium-ore"].minable.required_fluid = "gas-oxalic-acid"



